diff -Naur qiv-2.3.3/Makefile qiv-2.3.3.patched/Makefile
--- qiv-2.3.3/Makefile	2023-01-28 16:37:29.000000000 -0500
+++ qiv-2.3.3.patched/Makefile	2024-12-28 14:48:05.290139204 -0500
@@ -26,7 +26,7 @@
 # or is compiled into imlib.
 # The latest version of imlib has removed imagemagick fallback support,
 # so some extensions (XBM TGA) have been removed.
-EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF
+EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF XCF PSD ICNS TGA RAW JP2
 
 # Comment this line out if your system doesn't have getopt_long().
 GETOPT_LONG = -DHAVE_GETOPT_LONG
diff -Naur qiv-2.3.3/main.h qiv-2.3.3.patched/main.h
--- qiv-2.3.3/main.h	2023-01-28 16:37:29.000000000 -0500
+++ qiv-2.3.3.patched/main.h	2024-12-28 14:51:17.988142813 -0500
@@ -209,7 +209,22 @@
     ".webp",
 #endif
 #ifdef EXTN_HEIF
-    ".heic", ".heif",
+    ".heic", ".heif", ".avif",
+#endif
+#ifdef EXTN_XCF
+    ".xcf",
+#endif
+#ifdef EXTN_PSD
+    ".psd",
+#endif
+#ifdef EXTN_ICNS
+    ".icns",
+#endif
+#ifdef EXTN_JP2
+    ".jp2", ".jpc", ".jpx", ".j2k", ".jpf",
+#endif
+#ifdef EXTN_RAW
+   ".dng", ".cr2", ".crw", ".nef", ".orf", ".pef", ".arw", ".erf", ".mrw", ".raf",
 #endif
     NULL
 };
@@ -255,6 +270,28 @@
 #endif
 #ifdef EXTN_HEIF
   "ISO Media, HEIF Image",
+  "ISO Media, AVIF Image",
+#endif
+#ifdef EXTN_XCF
+  "GIMP XCF image data",
+#endif
+#ifdef EXTN_PSD
+  "Adobe Photoshop Image",
+#endif
+#ifdef EXTN_ICNS
+  "Mac OS X icon",
+#endif
+#ifdef EXTN_JP2
+  "JPEG 2000",
+#endif
+#ifdef EXTN_RAW
+  /* 20191231 bkw: some of these (dng, nef, erf, pef) show up as TIFF
+    with the file command, so we can't include them here. cr3 is "ISO Media",
+    which fails to work if added here. */
+  "Canon CIFF",
+  "Canon CR2",
+  "Olympus ORF",
+  "Minolta Dimage",
 #endif
  NULL
 };
